using Microsoft.EntityFrameworkCore;

namespace HackathonPreparing.ApiService.Features.DevFeature;

public static class ServicesExtensions
{

    public static void AddDbContextWithDefaultConfiguration<TDbContext>(this WebApplicationBuilder builder) where TDbContext : DbContext
    {
        builder.AddNpgsqlDbContext<TDbContext>("prod", null,
        optionsBuilder => optionsBuilder.UseNpgsql(npgsqlBuilder =>
            npgsqlBuilder.MigrationsAssembly(typeof(Program).Assembly.GetName().Name)));
    }

    // public static void AddDbContextWithDefaultConfiguration<TDbContext>(this WebApplicationBuilder builder) where TDbContext : DbContext
    // {
    //     var connection = builder.Configuration.GetConnectionString("prod") ?? throw new NullReferenceException("CONNECTION TO POSTGRES IS NULL");

    //     builder.Services.AddDbContext<TDbContext>(b => b.UseNpgsql(connection, npgsqlBuilder =>
    //         npgsqlBuilder.MigrationsAssembly(typeof(Program).Assembly.GetName().Name)));
    // }
    
}